export declare class Polygon {
    /**
     * 多边形的节点
     */
    nodes: LocArr[];
    private cache;
    static from(...polygons: LocArr[][]): Polygon[];
    constructor(nodes: LocArr[]);
    /**
     * 获取一个点光源下的阴影
     */
    shadowArea(x: number, y: number, r: number): LocArr[][];
}
